Issue1449

classification
Title: Ellipsis comparison different from Python 2.5 to Jython 2.5
Type: behaviour Severity: normal
Components: Core Versions: 2.5.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: pjenvey Nosy List: coleb, fwierzbicki, pjenvey
Priority: Keywords:

Created on 2009-08-26.22:53:29 by coleb, last changed 2009-10-24.04:34:16 by pjenvey.

Messages
msg5071 (view) Author: Brian Cole (coleb) Date: 2009-08-26.22:53:29
Ellipsis should be treated as positive infinity when comparing to
floating point numbers. 

coleb@vader~/debug/wrappers/java$ python 
Python 2.5.1 (r251:54863, May 14 2009, 15:33:54) 
[GCC 4.3.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> 1.0 <= Ellipsis
True
>>> 
coleb@vader~/debug/wrappers/java$ jython
Jython 2.5.0 (Release_2_5_0:6476, Jun 16 2009, 13:33:26) 
[OpenJDK 64-Bit Server VM (Sun Microsystems Inc.)] on java1.6.0_0
Type "help", "copyright", "credits" or "license" for more information.
>>> 1.0 <= Ellipsis
False
msg5260 (view) Author: Philip Jenvey (pjenvey) Date: 2009-10-24.04:34:15
fixed in r6897
History
Date User Action Args
2009-10-24 04:34:16pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5260
2009-10-20 04:30:45pjenveysetassignee: pjenvey
nosy: + pjenvey
2009-08-27 00:02:33fwierzbickisetnosy: + fwierzbicki
2009-08-26 22:53:30colebcreate